<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Collection\Cells</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Initialise this new cell collection.">
            <span class="description">Initialise this new cell collection.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___destruct" title="__destruct ::Destroy this cell collection.">
            <span class="description">Destroy this cell collection.</span><pre>__destruct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_add" title="add ::Add or update a cell identified by its coordinate into the collection.">
            <span class="description">Add or update a cell identified by its coordinate into the collection.</span><pre>add</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cloneCellCollection" title="cloneCellCollection ::Clone the cell collection.">
            <span class="description">Clone the cell collection.</span><pre>cloneCellCollection</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_delete" title="delete ::Delete a cell in cache identified by coordinate.">
            <span class="description">Delete a cell in cache identified by coordinate.</span><pre>delete</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_get" title="get ::Get cell at a specific coordinate.">
            <span class="description">Get cell at a specific coordinate.</span><pre>get</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCoordinates" title="getCoordinates ::Get a list of all cell coordinates currently held in the collection.">
            <span class="description">Get a list of all cell coordinates currently held in the collection.</span><pre>getCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCurrentColumn" title="getCurrentColumn ::Return the column coordinate of the currently active cell object.">
            <span class="description">Return the column coordinate of the currently active cell object.</span><pre>getCurrentColumn</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCurrentCoordinate" title="getCurrentCoordinate ::Return the cell coordinate of the currently active cell object.">
            <span class="description">Return the cell coordinate of the currently active cell object.</span><pre>getCurrentCoordinate</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCurrentRow" title="getCurrentRow ::Return the row coordinate of the currently active cell object.">
            <span class="description">Return the row coordinate of the currently active cell object.</span><pre>getCurrentRow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHighestColumn" title="getHighestColumn ::Get highest worksheet column.">
            <span class="description">Get highest worksheet column.</span><pre>getHighestColumn</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHighestRow" title="getHighestRow ::Get highest worksheet row.">
            <span class="description">Get highest worksheet row.</span><pre>getHighestRow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHighestRowAndColumn" title="getHighestRowAndColumn ::Get highest worksheet column and highest row that have cell records.">
            <span class="description">Get highest worksheet column and highest row that have cell records.</span><pre>getHighestRowAndColumn</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getParent" title="getParent ::Return the parent worksheet for this cell collection.">
            <span class="description">Return the parent worksheet for this cell collection.</span><pre>getParent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSortedCoordinates" title="getSortedCoordinates ::Get a sorted list of all cell coordinates currently held in the collection by row and column.">
            <span class="description">Get a sorted list of all cell coordinates currently held in the collection by row and column.</span><pre>getSortedCoordinates</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_has" title="has ::Whether the collection holds a cell for the given coordinate.">
            <span class="description">Whether the collection holds a cell for the given coordinate.</span><pre>has</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_removeColumn" title="removeColumn ::Remove a column, deleting all cells in that column.">
            <span class="description">Remove a column, deleting all cells in that column.</span><pre>removeColumn</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_removeRow" title="removeRow ::Remove a row, deleting all cells in that row.">
            <span class="description">Remove a row, deleting all cells in that row.</span><pre>removeRow</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_unsetWorksheetCells" title="unsetWorksheetCells ::Clear the cell collection and disconnect from our parent.">
            <span class="description">Clear the cell collection and disconnect from our parent.</span><pre>unsetWorksheetCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_update" title="update ::Add or update a cell in the collection.">
            <span class="description">Add or update a cell in the collection.</span><pre>update</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getAllCacheKeys" title="getAllCacheKeys ::Returns all known cache keys.">
                                <span class="description">Returns all known cache keys.</span><pre>getAllCacheKeys</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getUniqueID" title="getUniqueID ::Generate a unique ID for cache referencing.">
                                <span class="description">Generate a unique ID for cache referencing.</span><pre>getUniqueID</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_storeCurrentCell" title="storeCurrentCell ::Store cell data in cache for the current cell object if it&#039;s &quot;dirty&quot;,
and the &#039;nullify&#039; the current cell object.">
                                <span class="description">Store cell data in cache for the current cell object if it&#039;s &quot;dirty&quot;,
and the &#039;nullify&#039; the current cell object.</span><pre>storeCurrentCell</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Cells</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Initialise this new cell collection.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $parent,\Psr\SimpleCache\CacheInterface $cache)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p><p>The worksheet for this cell collection</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$cache</h4>
                                                <code><a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method___destruct"></a>
                        <div class="element clickable methodpublic method___destruct" data-toggle="collapse" data-target=".method___destruct .collapse">
                            <h2>Destroy this cell collection.</h2>
                            <pre>__destruct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_add"></a>
                        <div class="element clickable methodpublic method_add" data-toggle="collapse" data-target=".method_add .collapse">
                            <h2>Add or update a cell identified by its coordinate into the collection.</h2>
                            <pre>add(string $pCoord,\PhpOffice\PhpSpreadsheet\Cell\Cell $cell): \PhpOffice\PhpSpreadsheet\Cell\Cell</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pCoord</h4>
                                                <code>string</code><p><p>Coordinate of the cell to update</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$cell</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p><p>Cell to update</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cloneCellCollection"></a>
                        <div class="element clickable methodpublic method_cloneCellCollection" data-toggle="collapse" data-target=".method_cloneCellCollection .collapse">
                            <h2>Clone the cell collection.</h2>
                            <pre>cloneCellCollection(\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $parent): self</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p><p>The new worksheet that we're copying to</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>self</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_delete"></a>
                        <div class="element clickable methodpublic method_delete" data-toggle="collapse" data-target=".method_delete .collapse">
                            <h2>Delete a cell in cache identified by coordinate.</h2>
                            <pre>delete(string $pCoord)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pCoord</h4>
                                                <code>string</code><p><p>Coordinate of the cell to delete</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_get"></a>
                        <div class="element clickable methodpublic method_get" data-toggle="collapse" data-target=".method_get .collapse">
                            <h2>Get cell at a specific coordinate.</h2>
                            <pre>get(string $pCoord): \PhpOffice\PhpSpreadsheet\Cell\Cell</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pCoord</h4>
                                                <code>string</code><p><p>Coordinate of the cell</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p><p>Cell that was found, or null if not found</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAllCacheKeys"></a>
                        <div class="element clickable methodprivate method_getAllCacheKeys" data-toggle="collapse" data-target=".method_getAllCacheKeys .collapse">
                            <h2>Returns all known cache keys.</h2>
                            <pre>getAllCacheKeys(): \Generator|array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\Generator|array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCoordinates"></a>
                        <div class="element clickable methodpublic method_getCoordinates" data-toggle="collapse" data-target=".method_getCoordinates .collapse">
                            <h2>Get a list of all cell coordinates currently held in the collection.</h2>
                            <pre>getCoordinates(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCurrentColumn"></a>
                        <div class="element clickable methodpublic method_getCurrentColumn" data-toggle="collapse" data-target=".method_getCurrentColumn .collapse">
                            <h2>Return the column coordinate of the currently active cell object.</h2>
                            <pre>getCurrentColumn(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCurrentCoordinate"></a>
                        <div class="element clickable methodpublic method_getCurrentCoordinate" data-toggle="collapse" data-target=".method_getCurrentCoordinate .collapse">
                            <h2>Return the cell coordinate of the currently active cell object.</h2>
                            <pre>getCurrentCoordinate(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCurrentRow"></a>
                        <div class="element clickable methodpublic method_getCurrentRow" data-toggle="collapse" data-target=".method_getCurrentRow .collapse">
                            <h2>Return the row coordinate of the currently active cell object.</h2>
                            <pre>getCurrentRow(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHighestColumn"></a>
                        <div class="element clickable methodpublic method_getHighestColumn" data-toggle="collapse" data-target=".method_getHighestColumn .collapse">
                            <h2>Get highest worksheet column.</h2>
                            <pre>getHighestColumn(string $row = null): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$row</h4>
                                                <code>string</code><p><p>Return the highest column for the specified row,
or the highest column of any row if no row number is passed</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Highest column name</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHighestRow"></a>
                        <div class="element clickable methodpublic method_getHighestRow" data-toggle="collapse" data-target=".method_getHighestRow .collapse">
                            <h2>Get highest worksheet row.</h2>
                            <pre>getHighestRow(string $column = null): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$column</h4>
                                                <code>string</code><p><p>Return the highest row for the specified column,
or the highest row of any column if no column letter is passed</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Highest row number</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHighestRowAndColumn"></a>
                        <div class="element clickable methodpublic method_getHighestRowAndColumn" data-toggle="collapse" data-target=".method_getHighestRowAndColumn .collapse">
                            <h2>Get highest worksheet column and highest row that have cell records.</h2>
                            <pre>getHighestRowAndColumn(): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array</code><p><p>Highest column name and highest row number</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getParent"></a>
                        <div class="element clickable methodpublic method_getParent" data-toggle="collapse" data-target=".method_getParent .collapse">
                            <h2>Return the parent worksheet for this cell collection.</h2>
                            <pre>getParent(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSortedCoordinates"></a>
                        <div class="element clickable methodpublic method_getSortedCoordinates" data-toggle="collapse" data-target=".method_getSortedCoordinates .collapse">
                            <h2>Get a sorted list of all cell coordinates currently held in the collection by row and column.</h2>
                            <pre>getSortedCoordinates(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getUniqueID"></a>
                        <div class="element clickable methodprivate method_getUniqueID" data-toggle="collapse" data-target=".method_getUniqueID .collapse">
                            <h2>Generate a unique ID for cache referencing.</h2>
                            <pre>getUniqueID(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Unique Reference</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_has"></a>
                        <div class="element clickable methodpublic method_has" data-toggle="collapse" data-target=".method_has .collapse">
                            <h2>Whether the collection holds a cell for the given coordinate.</h2>
                            <pre>has(string $pCoord): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pCoord</h4>
                                                <code>string</code><p><p>Coordinate of the cell to check</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_removeColumn"></a>
                        <div class="element clickable methodpublic method_removeColumn" data-toggle="collapse" data-target=".method_removeColumn .collapse">
                            <h2>Remove a column, deleting all cells in that column.</h2>
                            <pre>removeColumn(string $column)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$column</h4>
                                                <code>string</code><p><p>Column ID to remove</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_removeRow"></a>
                        <div class="element clickable methodpublic method_removeRow" data-toggle="collapse" data-target=".method_removeRow .collapse">
                            <h2>Remove a row, deleting all cells in that row.</h2>
                            <pre>removeRow(string $row)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$row</h4>
                                                <code>string</code><p><p>Row number to remove</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_storeCurrentCell"></a>
                        <div class="element clickable methodprivate method_storeCurrentCell" data-toggle="collapse" data-target=".method_storeCurrentCell .collapse">
                            <h2>Store cell data in cache for the current cell object if it&#039;s &quot;dirty&quot;,
and the &#039;nullify&#039; the current cell object.</h2>
                            <pre>storeCurrentCell()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_unsetWorksheetCells"></a>
                        <div class="element clickable methodpublic method_unsetWorksheetCells" data-toggle="collapse" data-target=".method_unsetWorksheetCells .collapse">
                            <h2>Clear the cell collection and disconnect from our parent.</h2>
                            <pre>unsetWorksheetCells()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_update"></a>
                        <div class="element clickable methodpublic method_update" data-toggle="collapse" data-target=".method_update .collapse">
                            <h2>Add or update a cell in the collection.</h2>
                            <pre>update(\PhpOffice\PhpSpreadsheet\Cell\Cell $cell): \PhpOffice\PhpSpreadsheet\Cell\Cell</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$cell</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p><p>Cell to update</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_cache"> </a>
                            <div class="element clickable propertyprivate property_cache" data-toggle="collapse" data-target=".property_cache .collapse">
                                <h2>cache</h2>
                                <pre>cache :\Psr\SimpleCache\CacheInterface</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprivate property_parent" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent worksheet.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code>                                    </div>
                                </div>
                            </div>                            <a id="property_currentCell"> </a>
                            <div class="element clickable propertyprivate property_currentCell" data-toggle="collapse" data-target=".property_currentCell .collapse">
                                <h2>The currently active Cell.</h2>
                                <pre>currentCell :\PhpOffice\PhpSpreadsheet\Cell\Cell</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Cell\Cell</code>                                    </div>
                                </div>
                            </div>                            <a id="property_currentCoordinate"> </a>
                            <div class="element clickable propertyprivate property_currentCoordinate" data-toggle="collapse" data-target=".property_currentCoordinate .collapse">
                                <h2>Coordinate of the currently active Cell.</h2>
                                <pre>currentCoordinate :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_currentCellIsDirty"> </a>
                            <div class="element clickable propertyprivate property_currentCellIsDirty" data-toggle="collapse" data-target=".property_currentCellIsDirty .collapse">
                                <h2>Flag indicating whether the currently active Cell requires saving.</h2>
                                <pre>currentCellIsDirty :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_index"> </a>
                            <div class="element clickable propertyprivate property_index" data-toggle="collapse" data-target=".property_index .collapse">
                                <h2>An index of existing cells. Booleans indexed by their coordinate.</h2>
                                <pre>index :array&lt;mixed,boolean&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,boolean&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_cachePrefix"> </a>
                            <div class="element clickable propertyprivate property_cachePrefix" data-toggle="collapse" data-target=".property_cachePrefix .collapse">
                                <h2>Prefix used to uniquely identify cache data for this worksheet.</h2>
                                <pre>cachePrefix :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Collection\Cells"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Collection.html">Collection</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Collection.Cells.html">Cells</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:52 +0000.<br/>
    </footer></body>
</html>
